## python-aiohttp 3.8.1

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

to-hash-one = $(dir $1).hash/$(addsuffix .hash,$(notdir $1))
to-hash = $(foreach fname,$1,$(call to-hash-one,$(fname)))

CYS := $(wildcard aiohttp/*.pyx) $(wildcard aiohttp/*.pyi)  $(wildcard aiohttp/*.pxd)
PYXS := $(wildcard aiohttp/*.pyx)
CS := $(wildcard aiohttp/*.c)
PYS := $(wildcard aiohttp/*.py)
IN := doc-spelling lint cython dev
ALLS := $(sort $(CYS) $(CS) $(PYS) $(REQS))


.PHONY: all
all: test

tst:
	@echo $(call to-hash,requirements/cython.txt)
	@echo $(call to-hash,aiohttp/%.pyx)


# Recipe from https://www.cmcrossroads.com/article/rebuilding-when-files-checksum-changes
FORCE:

# check_sum.py works perfectly fine but slow when called for every file from $(ALLS)
# (perhaps even several times for each file).
# That is why much less readable but faster solution exists
ifneq (, $(shell which sha256sum))
%.hash: FORCE
	$(eval $@_ABS := $(abspath $@))
	$(eval $@_NAME := $($@_ABS))
	$(eval $@_HASHDIR := $(dir $($@_ABS)))
	$(eval $@_TMP := $($@_HASHDIR)../$(notdir $($@_ABS)))
	$(eval $@_ORIG := $(subst /.hash/../,/,$(basename $($@_TMP))))
	@#echo ==== $($@_ABS) $($@_HASHDIR) $($@_NAME) $($@_TMP) $($@_ORIG)
	@if ! (sha256sum --check $($@_ABS) 1>/dev/null 2>/dev/null); then \
	  mkdir -p $($@_HASHDIR); \
	  echo re-hash $($@_ORIG); \
	  sha256sum $($@_ORIG) > $($@_ABS); \
	fi
else
%.hash: FORCE
	@./tools/check_sum.py $@ # --debug
endif

# Enumerate intermediate files to don't remove them automatically.
.SECONDARY: $(call to-hash,$(ALLS))

.update-pip:
	@python -m pip install --upgrade pip

.install-cython: .update-pip $(call to-hash,requirements/cython.txt)
	@pip install -r requirements/cython.txt -c requirements/constraints.txt
	@touch .install-cython

aiohttp/_find_header.c: $(call to-hash,aiohttp/hdrs.py ./tools/gen.py)
	./tools/gen.py

# _find_headers generator creates _headers.pyi as well
aiohttp/%.c: aiohttp/%.pyx $(call to-hash,$(CYS)) aiohttp/_find_header.c
	cython -3 -o $@ $< -I aiohttp

vendor/llhttp/node_modules: vendor/llhttp/package.json
	cd vendor/llhttp; npm install

.llhttp-gen: vendor/llhttp/node_modules
	$(MAKE) -C vendor/llhttp generate
	@touch .llhttp-gen

.PHONY: generate-llhttp
generate-llhttp: .llhttp-gen

.PHONY: cythonize
cythonize: .install-cython $(PYXS:.pyx=.c)

.install-deps: .install-cython $(PYXS:.pyx=.c) $(call to-hash,$(CYS) $(REQS))
	@pip install -r requirements/dev.txt -c requirements/constraints.txt
	@touch .install-deps

.PHONY: lint
lint: fmt mypy

.PHONY: fmt format
fmt format:
	python -m pre_commit run --all-files --show-diff-on-failure

.PHONY: mypy
mypy:
	mypy

.develop: .install-deps generate-llhttp $(call to-hash,$(PYS) $(CYS) $(CS))
	pip install -e . -c requirements/constraints.txt
	@touch .develop

.PHONY: test
test: .develop
	@pytest -q

.PHONY: vtest
vtest: .develop
	@pytest -s -v

.PHONY: vvtest
vvtest: .develop
	@pytest -vv


define run_tests_in_docker
	DOCKER_BUILDKIT=1 docker build --build-arg PYTHON_VERSION=$(1) --build-arg AIOHTTP_NO_EXTENSIONS=$(2) -t "aiohttp-test-$(1)-$(2)" -f tools/testing/Dockerfile .
	docker run --rm -ti -v `pwd`:/src -w /src "aiohttp-test-$(1)-$(2)" $(TEST_SPEC)
endef

.PHONY: test-3.7-no-extensions test-3.7 test-3.8-no-extensions test-3.8 test-3.9-no-extensions test-3.9 test-3.10-no-extensions test-3.10
test-3.7-no-extensions:
	$(call run_tests_in_docker,3.7,y)
test-3.7:
	$(call run_tests_in_docker,3.7,n)
test-3.8-no-extensions:
	$(call run_tests_in_docker,3.8,y)
test-3.8:
	$(call run_tests_in_docker,3.8,n)
test-3.9-no-extensions:
	$(call run_tests_in_docker,3.9,y)
test-3.9:
	$(call run_tests_in_docker,3.9,n)
test-3.10-no-extensions:
	$(call run_tests_in_docker,3.10,y)
test-3.10:
	$(call run_tests_in_docker,3.10,n)

.PHONY: clean
clean:
	@rm -rf `find . -name __pycache__`
	@rm -rf `find . -name .hash`
	@rm -rf `find . -name .md5`  # old styling
	@rm -f `find . -type f -name '*.py[co]' `
	@rm -f `find . -type f -name '*~' `
	@rm -f `find . -type f -name '.*~' `
	@rm -f `find . -type f -name '@*' `
	@rm -f `find . -type f -name '#*#' `
	@rm -f `find . -type f -name '*.orig' `
	@rm -f `find . -type f -name '*.rej' `
	@rm -f `find . -type f -name '*.md5' `  # old styling
	@rm -f .coverage
	@rm -rf htmlcov
	@rm -rf build
	@rm -rf cover
	@make -C docs clean
	@python setup.py clean
	@rm -f aiohttp/*.so
	@rm -f aiohttp/*.pyd
	@rm -f aiohttp/*.html
	@rm -f aiohttp/_frozenlist.c
	@rm -f aiohttp/_find_header.c
	@rm -f aiohttp/_http_parser.c
	@rm -f aiohttp/_http_writer.c
	@rm -f aiohttp/_websocket.c
	@rm -rf .tox
	@rm -f .develop
	@rm -f .flake
	@rm -rf aiohttp.egg-info
	@rm -f .install-deps
	@rm -f .install-cython
	@rm -rf vendor/llhttp/node_modules
	@rm -f .llhttp-gen
	@$(MAKE) -C vendor/llhttp clean

.PHONY: doc
doc:
	@make -C docs html SPHINXOPTS="-W --keep-going -n -E"
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: doc-spelling
doc-spelling:
	@make -C docs spelling SPHINXOPTS="-W --keep-going -n -E"

.PHONY: compile-deps
compile-deps: .update-pip $(REQS)
	pip-compile --no-header --allow-unsafe -q --strip-extras \
		-o requirements/constraints.txt \
		requirements/constraints.in

.PHONY: install
install: .update-pip
	@pip install -r requirements/dev.txt -c requirements/constraints.txt

.PHONY: install-dev
install-dev: .develop

=== debian/changelog ===
python-aiohttp (3.8.1-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:26:16 +0000

python-aiohttp (3.8.1-4) unstable; urgency=high

  * Team upload.
  * debian/control: Add versioned dependency (Closes: #1001642):
    + python3-async-timeout (>= 4.0.1)
  * debian/py3dist-overrides: Add "idna_ssl python3-idna-ssl" line
    to suppress build error raised by newer dh_python3.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Dec 2021 01:05:53 -0500

python-aiohttp (3.8.1-3) unstable; urgency=medium

  * Add python3-charset-normalizer to (Build-)Depends (closes: 1000848)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 30 Nov 2021 13:58:24 +0100

python-aiohttp (3.8.1-2) unstable; urgency=medium

  * New upstream release (closes: 1000680)
  * docs: temporarily remove news (sphinxcontrib.towncrier is not yet packaged)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 27 Nov 2021 17:20:40 +0100

python-aiohttp (3.7.4-2) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * d/control: add sphinx dependencies to doc package (Closes: #990652)

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-aiohttp-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

  [ Boyuan Yang ]
  * debian/: Drop manual -dbg package. (Closes: #994345)
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Nov 2021 12:03:24 -0500

=== debian/control ===
Source: python-aiohttp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tianon Gravi <admwiggin@gmail.com>,
           Paul Tagliamonte <paultag@debian.org>,
           Piotr Ożarowski <piotr@debian.org>,
           William Grzybowski <william@grzy.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev (>= 3.5.3~),
               python3-setuptools,
               python3-sphinx,
               python3-multidict,
               python3-async-timeout,
               python3-yarl (>= 1.0),
               cython3,
               python3-aiosignal,
# for tests:
               python3-pytest,
               python3-pytest-mock,
               python3-chardet,
               python3-charset-normalizer,
               python3-gunicorn,
# for documentation:
               python3-sphinxcontrib.blockdiag
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://aiohttp.readthedocs.org
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp
Testsuite: autopkgtest-pkg-python

Package: python3-aiohttp
Architecture: any
Depends: python3-yarl (>= 1.0), python3-async-timeout (>= 4.0.1), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Recommends: libjs-jquery
Description: http client/server for asyncio
 HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
 .
 Features:
  * supports both client and server side of HTTP protocol,
  * supports both client and server Web-Sockets out-of-the-box,
  * web-server has middlewares and pluggable routing.

Package: python-aiohttp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: documentation of python3-aiohttp
 HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
 .
 Features:
  * supports both client and server side of HTTP protocol,
  * supports both client and server Web-Sockets out-of-the-box,
  * web-server has middlewares and pluggable routing.
 .
 This package provides HTML documentation for aiohttp.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = aiohttp
# enable pytest also here to make backports easier
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	sed -i -e '/sphinxcontrib.asyncio/d' -e '/aiohttp_theme/d' docs/conf.py
	${MAKE} -C docs html || true
	dh_auto_build

override_dh_auto_clean:
	rm -rf .cache
	dh_auto_clean

override_dh_strip:
	dh_strip --dbgsym-migration='python3-aiohttp-dbg (<< 3.7.4-2~)'

override_dh_auto_test:
	# disable tests for now:
	# https://bugs.python.org/issue28634 needs to be fixed in Debian
	# and tests patched to not access internet during build (see https://bugs.debian.org/830567)

## python-aiohttp 3.8.4

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	@python -m pip install --upgrade pip
 
 .install-cython: .update-pip $(call to-hash,requirements/cython.txt)
-	@pip install -r requirements/cython.txt -c requirements/constraints.txt
+	@python -m pip install -r requirements/cython.txt -c requirements/constraints.txt
 	@touch .install-cython
 
 aiohttp/_find_header.c: $(call to-hash,aiohttp/hdrs.py ./tools/gen.py)
@@ -74,7 +74,7 @@
 cythonize: .install-cython $(PYXS:.pyx=.c)
 
 .install-deps: .install-cython $(PYXS:.pyx=.c) $(call to-hash,$(CYS) $(REQS))
-	@pip install -r requirements/dev.txt -c requirements/constraints.txt
+	@python -m pip install -r requirements/dev.txt -c requirements/constraints.txt
 	@touch .install-deps
 
 .PHONY: lint
@@ -89,7 +89,7 @@
 	mypy
 
 .develop: .install-deps generate-llhttp $(call to-hash,$(PYS) $(CYS) $(CS))
-	pip install -e . -c requirements/constraints.txt
+	python -m pip install -e . -c requirements/constraints.txt
 	@touch .develop
 
 .PHONY: test
@@ -182,7 +182,7 @@
 
 .PHONY: install
 install: .update-pip
-	@pip install -r requirements/dev.txt -c requirements/constraints.txt
+	@python -m pip install -r requirements/dev.txt -c requirements/constraints.txt
 
 .PHONY: install-dev
 install-dev: .develop

=== vendor/llhttp/Makefile ===
CLANG ?= clang
CFLAGS ?=
OS ?=

CFLAGS += -Os -g3 -Wall -Wextra -Wno-unused-parameter
ifneq ($(OS),Windows_NT) 
	# NOTE: clang on windows does not support fPIC
	CFLAGS += -fPIC
endif

INCLUDES += -Ibuild/

INSTALL ?= install
PREFIX ?= /usr/local
LIBDIR = $(PREFIX)/lib
INCLUDEDIR = $(PREFIX)/include

all: build/libllhttp.a build/libllhttp.so

clean:
	rm -rf release/
	rm -rf build/

build/libllhttp.so: build/c/llhttp.o build/native/api.o \
		build/native/http.o
	$(CLANG) -shared $^ -o $@

build/libllhttp.a: build/c/llhttp.o build/native/api.o \
		build/native/http.o
	$(AR) rcs $@ build/c/llhttp.o build/native/api.o build/native/http.o

build/c/llhttp.o: build/c/llhttp.c
	$(CLANG) $(CFLAGS) $(INCLUDES) -c $< -o $@

build/native/%.o: src/native/%.c build/llhttp.h src/native/api.h \
		build/native
	$(CLANG) $(CFLAGS) $(INCLUDES) -c $< -o $@

build/llhttp.h: generate
build/c/llhttp.c: generate

build/native:
	mkdir -p build/native

release: generate
	mkdir -p release/src
	mkdir -p release/include
	cp -rf build/llhttp.h release/include/
	cp -rf build/c/llhttp.c release/src/
	cp -rf src/native/*.c release/src/
	cp -rf src/llhttp.gyp release/
	cp -rf src/common.gypi release/
	cp -rf CMakeLists.txt release/
	cp -rf README.md release/
	cp -rf LICENSE-MIT release/

postversion: release
	git push
	git checkout release --
	cp -rf release/* ./
	rm -rf release
	git add include src *.gyp *.gypi CMakeLists.txt README.md LICENSE-MIT
	git commit -a -m "release: $(TAG)"
	git tag "release/v$(TAG)"
	git push && git push --tags
	git checkout main

generate:
	npx ts-node bin/generate.ts

install: build/libllhttp.a build/libllhttp.so
	$(INSTALL) build/llhttp.h $(DESTDIR)$(INCLUDEDIR)/llhttp.h
	$(INSTALL) build/libllhttp.a $(DESTDIR)$(LIBDIR)/libllhttp.a
	$(INSTALL) build/libllhttp.so $(DESTDIR)$(LIBDIR)/libllhttp.so

.PHONY: all generate clean release

=== debian/changelog ===
python-aiohttp (3.8.4-1+deb12u1) bookworm-security; urgency=medium

  * CVE-2023-47627
  * CVE-2023-49081 (Closes: #1057163)
  * CVE-2023-49082 (Closes: #1057164)
  * CVE-2024-23334 (Closes: #1062709)
  * CVE-2024-30251 (Closes: #1070364)
  * CVE-2024-52304 (Closes: #1088109)

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 28 Nov 2024 20:38:32 +0100

python-aiohttp (3.8.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 16 Feb 2023 11:54:52 +0100

python-aiohttp (3.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 31 Oct 2022 09:58:46 +0100

python-aiohttp (3.8.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all-dev and
      python3-yarl.
    + python3-aiohttp: Drop versioned constraint on python3-yarl in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:57:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
            William Grzybowski <william@grzy.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all-dev (>= 3.5.3~),
+               python3-all-dev,
                python3-setuptools,
                python3-sphinx,
                python3-multidict,
                python3-async-timeout,
-               python3-yarl (>= 1.0),
+               python3-yarl,
                cython3,
                python3-aiosignal,
 # for tests:
@@ -25,7 +25,7 @@
 # for documentation:
                python3-sphinxcontrib.blockdiag
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp
@@ -33,7 +33,7 @@
 
 Package: python3-aiohttp
 Architecture: any
-Depends: python3-yarl (>= 1.0), python3-async-timeout (>= 4.0.1), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
+Depends: python3-yarl, python3-async-timeout (>= 4.0.1), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
 Recommends: libjs-jquery
 Description: http client/server for asyncio
  HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).

## python-aiohttp 3.9.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # check_sum.py works perfectly fine but slow when called for every file from $(ALLS)
 # (perhaps even several times for each file).
 # That is why much less readable but faster solution exists
-ifneq (, $(shell which sha256sum))
+ifneq (, $(shell command -v sha256sum))
 %.hash: FORCE
 	$(eval $@_ABS := $(abspath $@))
 	$(eval $@_NAME := $($@_ABS))
@@ -50,7 +50,7 @@
 	@python -m pip install --upgrade pip
 
 .install-cython: .update-pip $(call to-hash,requirements/cython.txt)
-	@python -m pip install -r requirements/cython.txt -c requirements/constraints.txt
+	@python -m pip install -r requirements/cython.in -c requirements/cython.txt
 	@touch .install-cython
 
 aiohttp/_find_header.c: $(call to-hash,aiohttp/hdrs.py ./tools/gen.py)
@@ -58,7 +58,7 @@
 
 # _find_headers generator creates _headers.pyi as well
 aiohttp/%.c: aiohttp/%.pyx $(call to-hash,$(CYS)) aiohttp/_find_header.c
-	cython -3 -o $@ $< -I aiohttp
+	cython -3 -o $@ $< -I aiohttp -Werror
 
 vendor/llhttp/node_modules: vendor/llhttp/package.json
 	cd vendor/llhttp; npm install
@@ -74,7 +74,7 @@
 cythonize: .install-cython $(PYXS:.pyx=.c)
 
 .install-deps: .install-cython $(PYXS:.pyx=.c) $(call to-hash,$(CYS) $(REQS))
-	@python -m pip install -r requirements/dev.txt -c requirements/constraints.txt
+	@python -m pip install -r requirements/dev.in -c requirements/dev.txt
 	@touch .install-deps
 
 .PHONY: lint
@@ -89,7 +89,7 @@
 	mypy
 
 .develop: .install-deps generate-llhttp $(call to-hash,$(PYS) $(CYS) $(CS))
-	python -m pip install -e . -c requirements/constraints.txt
+	python -m pip install -e . -c requirements/runtime-deps.txt
 	@touch .develop
 
 .PHONY: test
@@ -99,10 +99,12 @@
 .PHONY: vtest
 vtest: .develop
 	@pytest -s -v
+	@python -X dev -m pytest -s -v -m dev_mode
 
 .PHONY: vvtest
 vvtest: .develop
 	@pytest -vv
+	@python -X dev -m pytest -s -v -m dev_mode
 
 
 define run_tests_in_docker
@@ -110,11 +112,7 @@
 	docker run --rm -ti -v `pwd`:/src -w /src "aiohttp-test-$(1)-$(2)" $(TEST_SPEC)
 endef
 
-.PHONY: test-3.7-no-extensions test-3.7 test-3.8-no-extensions test-3.8 test-3.9-no-extensions test-3.9 test-3.10-no-extensions test-3.10
-test-3.7-no-extensions:
-	$(call run_tests_in_docker,3.7,y)
-test-3.7:
-	$(call run_tests_in_docker,3.7,n)
+.PHONY: test-3.8-no-extensions test-3.8 test-3.9-no-extensions test
 test-3.8-no-extensions:
 	$(call run_tests_in_docker,3.8,y)
 test-3.8:
@@ -174,15 +172,17 @@
 doc-spelling:
 	@make -C docs spelling SPHINXOPTS="-W --keep-going -n -E"
 
-.PHONY: compile-deps
-compile-deps: .update-pip $(REQS)
-	pip-compile --no-header --allow-unsafe -q --strip-extras \
-		-o requirements/constraints.txt \
-		requirements/constraints.in
-
 .PHONY: install
 install: .update-pip
-	@python -m pip install -r requirements/dev.txt -c requirements/constraints.txt
+	@python -m pip install -r requirements/dev.in -c requirements/dev.txt
 
 .PHONY: install-dev
 install-dev: .develop
+
+.PHONY: sync-direct-runtime-deps
+sync-direct-runtime-deps:
+	@echo Updating 'requirements/runtime-deps.in' from 'setup.cfg'... >&2
+	@echo '# Extracted from `setup.cfg` via `make sync-direct-runtime-deps`' > requirements/runtime-deps.in
+	@echo >> requirements/runtime-deps.in
+	@python -c 'from configparser import ConfigParser; from itertools import chain; from pathlib import Path; cfg = ConfigParser(); cfg.read_string(Path("setup.cfg").read_text()); print("\n".join(line.strip() for line in chain(cfg["options"].get("install_requires").splitlines(), "\n".join(cfg["options.extras_require"].values()).splitlines()) if line.strip()))' \
+		>> requirements/runtime-deps.in

=== debian/changelog ===
python-aiohttp (3.9.1-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: When 'follow_symlinks' is enabled, file paths
    are not properly validated, allowing unauthorized access to
    files on the system.
    - debian/patches/CVE-2024-23334.patch: Validate static paths.
    - CVE-2024-23334

 -- Chris Kim <chris.kim@canonical.com>  Wed, 21 Aug 2024 09:28:21 -0700

python-aiohttp (3.9.1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:13:19 +0000

python-aiohttp (3.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.9.1
    - CVE-2023-49081 (aiohttp's ClientSession is vulnerable to CRLF
      injection via version) (Closes: #1057163)
    - CVE-2023-49082 (aiohttp's ClientSession is vulnerable to CRLF
      injection via method) (Closes: #1057164)
    - Fix ftbfs on python3.12 (Closes: #1056036)
  * Update debian/patches
  * Update debian/copyright
  * Clean built docs (Closes: #1047256)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 13 Dec 2023 10:32:49 +0800

python-aiohttp (3.8.6-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 14 Oct 2023 13:12:38 +0200

python-aiohttp (3.8.5-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 20 Aug 2023 14:19:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-aiohttp
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
            Paul Tagliamonte <paultag@debian.org>,
            Piotr Ożarowski <piotr@debian.org>,
@@ -16,6 +17,9 @@
                python3-yarl,
                cython3,
                python3-aiosignal,
+               python3-aiodns,
+               python3-attr,
+               python3-frozenlist,
 # for tests:
                python3-pytest,
                python3-pytest-mock,
@@ -34,7 +38,7 @@
 Package: python3-aiohttp
 Architecture: any
 Depends: python3-yarl, python3-async-timeout (>= 4.0.1), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
-Recommends: libjs-jquery
+Recommends: libjs-jquery, python3-aiodns
 Description: http client/server for asyncio
  HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
  .

## python-aiohttp 3.9.5

=== debian/changelog ===
python-aiohttp (3.9.5-1) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.
  * New upstream release:
    - CVE-2024-23829: Python HTTP parser still overly lenient about
      separators (closes: #1062708).
    - CVE-2024-23334: aiohttp.web.static(follow_symlinks=True) is vulnerable
      to directory traversal (closes: #1062709).
    - CVE-2024-30251: DoS when trying to parse malformed POST requests
      (closes: #1070364).
    - CVE-2024-27306: XSS on index pages for static file handling (closes:
      #1070665).
  * Standards-Version: 3.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Jun 2024 12:39:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-aiohttp
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
            Paul Tagliamonte <paultag@debian.org>,
            Piotr Ożarowski <piotr@debian.org>,
            William Grzybowski <william@grzy.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
                python3-sphinx,
@@ -29,7 +29,7 @@
 # for documentation:
                python3-sphinxcontrib.blockdiag
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp

## python-aiohttp 3.10.1

=== debian/changelog ===
python-aiohttp (3.10.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Aug 2024 15:14:44 +0100

python-aiohttp (3.10.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Aug 2024 19:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,10 @@
                python3-yarl,
                cython3,
                python3-aiosignal,
-               python3-aiodns,
+               python3-aiodns (>= 3.2.0),
                python3-attr,
                python3-frozenlist,
+               python3-aiohappyeyeballs,
 # for tests:
                python3-pytest,
                python3-pytest-mock,

## python-aiohttp 3.10.8

=== debian/changelog ===
python-aiohttp (3.10.8-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Oct 2024 16:05:56 +0200

python-aiohttp (3.10.6-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 27 Sep 2024 16:27:09 +0200

python-aiohttp (3.10.5-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 Aug 2024 09:30:57 +0200

python-aiohttp (3.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Aug 2024 11:36:35 +0100

python-aiohttp (3.10.3-3) unstable; urgency=medium

  * Team upload.
  * Use local Sphinx inventories where available; ignore other missing
    references.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Aug 2024 13:50:33 +0100

python-aiohttp (3.10.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 Aug 2024 16:45:04 +0100

python-aiohttp (3.10.3-1) experimental; urgency=medium

  * Rework build to avoid needing to filter out *.egg-info from upstream.
  * Fix documentation build.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 Aug 2024 18:19:39 +0100

## python-aiohttp 3.10.10

=== debian/changelog ===
python-aiohttp (3.10.10-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 29 Oct 2024 12:17:05 +0100

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,10 @@
                python3-charset-normalizer,
                python3-gunicorn,
 # for documentation:
+               python-pytest-doc,
+               python-yarl-doc,
+               python3-alabaster,
+               python3-doc,
                python3-sphinxcontrib.blockdiag
 Rules-Requires-Root: no
 Standards-Version: 4.7.0

## python-aiohttp 3.10.11

=== debian/changelog ===
python-aiohttp (3.10.11-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:16:53 +0000

python-aiohttp (3.10.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-52303: Fix system routes polluting the middleware cache
      (closes: #1088108).

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Dec 2024 00:23:32 +0000

python-aiohttp (3.10.10-2) unstable; urgency=medium

  * Team upload.
  * (Build-)depend on python3-yarl (>= 1.12.0) (closes: #1086658).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 14:31:21 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sphinx,
                python3-multidict,
                python3-async-timeout,
-               python3-yarl,
+               python3-yarl (>= 1.12.0),
                cython3,
                python3-aiosignal,
                python3-aiodns (>= 3.2.0),

## python-aiohttp 3.11.15

=== debian/changelog ===
python-aiohttp (3.11.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Now requires a newer version of yarl.
  * Update patches.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 01 Apr 2025 11:18:04 +0100

## python-aiohttp 3.11.16

=== vendor/llhttp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0069 NEW)

project(llhttp VERSION _RELEASE_)
include(GNUInstallDirs)

set(CMAKE_C_STANDARD 99)

# By default build in relwithdebinfo type, supports both lowercase and uppercase
if(NOT CMAKE_CONFIGURATION_TYPES)
  set(allowableBuildTypes DEBUG RELEASE RELWITHDEBINFO MINSIZEREL)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "${allowableBuildTypes}")
  if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RELWITHDEBINFO CACHE STRING "" FORCE)
  else()
    string(TOUPPER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE)
    if(NOT CMAKE_BUILD_TYPE IN_LIST allowableBuildTypes)
      message(FATAL_ERROR "Invalid build type: ${CMAKE_BUILD_TYPE}")
    endif()
  endif()
endif()

#
# Options
#
# Generic option
option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so)" ON)
option(BUILD_STATIC_LIBS "Build static libraries (.lib/.a)" OFF)

# Source code
set(LLHTTP_SOURCES
  ${CMAKE_CURRENT_SOURCE_DIR}/src/llhttp.c
  ${CMAKE_CURRENT_SOURCE_DIR}/src/http.c
  ${CMAKE_CURRENT_SOURCE_DIR}/src/api.c
)

set(LLHTTP_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/include/llhttp.h
)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/libllhttp.pc.in
  ${CMAKE_CURRENT_SOURCE_DIR}/libllhttp.pc
  @ONLY
)

function(config_library target)
  target_sources(${target} PRIVATE ${LLHTTP_SOURCES} ${LLHTTP_HEADERS})

  target_include_directories(${target} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
  )

  set_target_properties(${target} PROPERTIES
    OUTPUT_NAME llhttp
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    PUBLIC_HEADER ${LLHTTP_HEADERS}
  )

  install(TARGETS ${target}
    EXPORT llhttp
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  )

  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/libllhttp.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  )

  # This is required to work with FetchContent
  install(EXPORT llhttp
    FILE llhttp-config.cmake
    NAMESPACE llhttp::
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/llhttp
  )
endfunction(config_library target)

if(BUILD_SHARED_LIBS)
  add_library(llhttp_shared SHARED
      ${llhttp_src}
  )
  add_library(llhttp::llhttp ALIAS llhttp_shared)
  config_library(llhttp_shared)
endif()

if(BUILD_STATIC_LIBS)
  add_library(llhttp_static STATIC
      ${llhttp_src}
  )
  if(BUILD_SHARED_LIBS)
    add_library(llhttp::llhttp ALIAS llhttp_shared)
  else()
    add_library(llhttp::llhttp ALIAS llhttp_static)
  endif()
  config_library(llhttp_static)
endif()

# On windows with Visual Studio, add a debug postfix so that release
# and debug libraries can coexist.
if(MSVC)
  set(CMAKE_DEBUG_POSTFIX "d")
endif()

# Print project configure summary
message(STATUS "")
message(STATUS "")
message(STATUS "Project configure summary:")
message(STATUS "")
message(STATUS "  CMake build type .................: ${CMAKE_BUILD_TYPE}")
message(STATUS "  Install prefix ...................: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "  Build shared library .............: ${BUILD_SHARED_LIBS}")
message(STATUS "  Build static library .............: ${BUILD_STATIC_LIBS}")
message(STATUS "")

=== debian/changelog ===
python-aiohttp (3.11.16-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Apr 2025 14:44:31 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sphinx,
                python3-multidict,
                python3-async-timeout,
-               python3-yarl (>= 1.12.0),
+               python3-yarl (>= 1.18.3),
                cython3,
                python3-aiosignal,
                python3-aiodns (>= 3.2.0),
@@ -34,7 +34,7 @@
                python3-doc,
                python3-sphinxcontrib.blockdiag
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp

=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,30 @@
 export PYBUILD_TEST_ARGS={dir}/tests
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Work around https://bugs.debian.org/1051837
+egg_info := aiohttp.egg-info
+egg_info_safe := debian/aiohttp.egg-info.safe
+define save-egg-info =
+if [ ! -d $(egg_info_safe) ]; then cp -a $(egg_info) $(egg_info_safe); fi
+endef
+define restore-egg-info =
+if [ -d $(egg_info_safe) ]; then rm -rf $(egg_info); cp -a $(egg_info_safe) $(egg_info); fi
+endef
+
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_build:
-	sed -i -e '/sphinxcontrib.asyncio/d' -e '/aiohttp_theme/d' docs/conf.py
-	${MAKE} -C docs html || true
+	$(save-egg-info)
+	# Ignore missing references.
+	${MAKE} -C docs html SPHINXOPTS=
 	dh_auto_build
 
 override_dh_auto_clean:
 	rm -rf .cache
+	$(save-egg-info)
 	dh_auto_clean
+	$(restore-egg-info)
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='python3-aiohttp-dbg (<< 3.7.4-2~)'

## python-aiohttp 3.12.15

=== debian/changelog ===
python-aiohttp (3.12.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - CVE-2025-53643: Fix request smuggling vulnerability (closes: #1109336).
  * Remove 'Rules-Requires-Root: no', now the default.
  * Refresh patches.

 -- Edward Betts <edward@4angle.com>  Fri, 26 Sep 2025 19:15:20 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
                python3-alabaster,
                python3-doc,
                python3-sphinxcontrib.blockdiag
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	# Ignore missing references.
 	${MAKE} -C docs html SPHINXOPTS=
 	dh_auto_build
+	find . -type d -name '.hash' -exec rm -rf {} +
 
 override_dh_auto_clean:
 	rm -rf .cache

## python-aiohttp 3.13.0

=== debian/changelog ===
python-aiohttp (3.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Add my name to Uploaders.
  * Enable test suite, but skip tests that fail.
  * Switch to Testsuite: autopkgtest-pkg-pybuild, so autopkgtest runs tests.
  * Add Build-Depends for python3-pytest-cov and python3-pytest-xdist, needed
    for tests.
  * Add <!nocheck> to test dependencies.
  * Add license information for vendor/llhttp to debian/copyright.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Thu, 09 Oct 2025 05:51:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,28 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME = aiohttp
-# enable pytest also here to make backports easier
-export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS={dir}/tests
+export PYBUILD_TEST_ARGS=--no-cov \
+    --ignore-glob=tests/test_benchmark* \
+    --ignore=tests/test_imports.py \
+    --ignore=tests/test_pytest_plugin.py \
+    --ignore=tests/test_client_session.py \
+    --ignore=tests/test_proxy_functional.py \
+    --ignore=tests/test_urldispatch.py \
+    --ignore=tests/test_web_response.py \
+    --ignore=tests/test_streams.py \
+    --ignore=tests/test_cookiejar.py \
+    --ignore=tests/test_web_functional.py \
+    --ignore=tests/test_connector.py \
+    --ignore=tests/test_web_sendfile_functional.py \
+    -k "not test_testcase_no_app and \
+        not test_static_file_directory_traversal_attack and \
+        not test_empty_body and \
+        not test_feed_eof_no_err_brotli and \
+        not test_http_response_parser_strict_obs_line_folding and \
+        not test_http_response_parser_strict_headers and \
+        not test_http_response_parser_bad_chunked_strict_py and \
+        not test_http_response_parser_bad_chunked_strict_c"
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Work around https://bugs.debian.org/1051837
@@ -34,8 +53,3 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='python3-aiohttp-dbg (<< 3.7.4-2~)'
-
-override_dh_auto_test:
-	# disable tests for now:
-	# https://bugs.python.org/issue28634 needs to be fixed in Debian
-	# and tests patched to not access internet during build (see https://bugs.debian.org/830567)
